Just value your mind

libopencv_highgui.so.2.4: cannot open shared object file, and its solution

errorwhileloadingsharedlibraries

 

 

OpenCV 2.4.5 has released and it is exciting to take a bite.

So openCV is downloaded and compiled, but when it is to play video files, an error popped up:

libopencv_highgui.so.2.4: cannot open shared object file

After searching couple of webpages finally get the solution:

There are two steps to fix the error. First, check the file

/etc/ld.so.conf.d/opencv.conf

- this is to make sure the opencv lib path is included in the config file.

Second, including the path of opencv’s .so files in LD_LIBRARY_PATH(), like below:

export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/local/lib





QR code for this post, SCAN ME
QR:  libopencv_highgui.so.2.4: cannot open shared object file, and its solution

Posts may be of your interests

3 Comments On “ libopencv_highgui.so.2.4: cannot open shared object file, and its solution”

  1. There is noticeably a bunch to identify about this. I think you made some nice points in features also.

  2. If you make this fix and it still doesn’t work try calling ‘ldconfig’ (you may need to sudo) afterwards to refresh everything. This has caught me out a few times on similar matters.

Leave a comment

You can use these XHTML tags:
<a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>

Copyrights 2006-2014 © Andol Li | Theme Tree2, re-designed by Andol Li| Powered by WordPress
WWW.ANDOL.INFO- 91 queries in 0.365 seconds. Go to TOP